<?php


namespace customerapi\models\registrations;


use common\models\EventRegistration;
use customerapi\models\available\EventAvailable;

class EventRegistrationAvailable extends EventRegistration
{

    function fields()
    {

        $fields = [
            "id" => "id",
            "created_at" => "created_at",
            "updated_at" => "updated_at",
            "deleted_at" => "deleted_at",
            "canceled_at" => "canceled_at",
        ];
        $fields['event'] = 'event';
        return $fields;
    }

    public function getEventClass()
    {
        return EventAvailable::class;
    }


}
